Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003187Piwigoalbumspublic2015.01.06 10:432015.01.09 15:15
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.8.0beta1Fixed in Version2.8.0beta1 
Summary0003187: album sort and locale strings
DescriptionWith the current sort algorithm by album title, the result is:

Agilberto
Zacarias
Ágata
Ângelo de Jerusalém

But we want this:

Ágata
Agilberto
Ângelo de Jerusalém
Zacarias
Additional Information  setlocale(LC_ALL, 'pt_BR');

  array_multisort(
    $sort,
    SORT_LOCALE_STRING, // SORT_REGULAR,
    'ASC' == $order_by_asc ? SORT_ASC : SORT_DESC,
    $categories
    );

We can do it with a $conf['album_sort_locale_string'] = 'pt_BR'; (if null, we use SORT_REGULAR)
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007732)
rvelices (developer)
2015.01.07 12:10

why not sort after "removing accents" ?
(0007739)
plg (manager)
2015.01.09 15:12

@rvelices, you're right, it's a better solution:

$ svn diff cat_list.php
Index: cat_list.php
===================================================================
--- cat_list.php (revision 30766)
+++ cat_list.php (working copy)
@@ -281,7 +281,7 @@
     }
     else
     {
- $sort[] = $row['name'];
+ $sort[] = remove_accents($row['name']);
     }
     
     $categories[] = array(
(0007740)
svn (reporter)
2015.01.09 15:14

[Subversion] r30874 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3187: sort albums by names without accents

- Issue History
Date Modified Username Field Change
2015.01.06 10:43 plg New Issue
2015.01.06 10:43 plg Status new => assigned
2015.01.06 10:43 plg Assigned To => plg
2015.01.06 10:43 plg browser => any
2015.01.06 10:43 plg Web server => Apache 1.3.x
2015.01.07 12:10 rvelices Note Added: 0007732
2015.01.09 15:12 plg Note Added: 0007739
2015.01.09 15:14 svn Checkin
2015.01.09 15:14 svn Note Added: 0007740
2015.01.09 15:15 plg Status assigned => closed
2015.01.09 15:15 plg Resolution open => fixed
2015.01.09 15:15 plg Fixed in Version => 2.8.0beta1


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker